:root {
    --text: #000;
    --white: #fff;
}

.red {
    border: solid 2px red;
}

html {
    scroll-behavior: smooth;
}

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body {
    padding-top: 100px;
    width: 100%;
    min-height: 900px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    font-family: Roboto;
    color: var(--text);
    background: url('img/bg.jpg') center center no-repeat;
    background-size: cover;
    color: var(--white);
}

a {
    text-decoration: none;
    cursor: pointer;
}

li {
    list-style: none;
}

main {
    margin: 0 auto;
	width: 80%;
	min-height: 600px;
	margin: 0 auto;
	padding: 60px 30px;
    background-color: rgba(0,0,0,.7);
    border-radius: 10px;
    text-align: center;
}

.cartBtn{
    width: 200px;
    cursor:pointer;
    border: none;
    padding: 20px 30px;
    border-radius: 20px;
    background: #e0e0e0;
    font-size: 1.5rem;
    transition: all 500ms cubic-bezier(1,0,0,1);
    text-transform: uppercase;
}

.cartBtn:active {
    scale: .7;
}

.cartBtn:hover{
    transform: scale(1.2);
    box-shadow:  24px 24px 47px #b5b5b5, -24px -24px 47px #ffffff;
}

h1 {
    margin-bottom: 50px;
    text-align: center;
    font-size: 28px;
    text-transform: uppercase;
}

.grid {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 50px;
}

img {
    display: block;
    width: 100%;
    height: 500px;
    object-fit: cover;
}

.book-title {
    padding-top: 15px;
    min-height: 90px;
    font-size: 20px;
    font-weight: 800;
}

.book-author {
    padding-top: 15px;
    font-size: 16px;
}

.book-price {
    padding-top: 15px;
    color: #88daa1;
}

.book-btn {
    padding-top: 15px;
    display: flex;
    justify-content: space-between;
}

.btn {
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100px;
    height: 40px;
}

.show-more, .btn-close, .btn-buy, .close {
    background: linear-gradient(#b986d6, #88daa1);
    border: none;
    transition: all 0.4s;
    transition-timing-function:cubic-bezier(0.5, 3, 0, 1);
}

.show-more, .btn-close, .btn-buy, .close {
    background-color: transparent;
    border: 3px solid #00d7c3;
    border-radius: 5px;
    -webkit-transition: all .15s ease-in-out;
    transition: all .15s ease-in-out;
}

.show-more:hover, .btn-close:hover, .btn-buy:hover, .close:hover {
    box-shadow: 0 0 10px 0 #00d7c3 inset, 0 0 20px 2px #00d7c3;
    border: 3px solid #00d7c3;
}

.btn-close, .btn-buy, .close {
    display: inline-block;
    width: 200px;
    height: 80px;
}

.btn-buy  {
    margin-left: 20px;
}

.add, .popup-close {
    color: #fff;
    border: 3px solid #c266d3;
    background-image: -webkit-linear-gradient(30deg, #c266d3 50%, transparent 50%);
    background-image: linear-gradient(30deg, #c266d3 50%, transparent 50%);
    background-size: 500px;
    background-repeat: no-repeat;
    background-position: 0%;
    -webkit-transition: background 300ms ease-in-out;
    transition: background 300ms ease-in-out;
}
.add:hover, .popup-close:hover {
    background-position: 100%;
    color: #c266d3;
}

.popup-close {
    width: 200px;
    height: 70px;
    margin-bottom: 50px;
}

.cart {
	display: none;
	width: 100%;
	height: 100%;
	position: fixed;
	top: 0;
	background-color: rgba(0,0,0,.9)
}

.cart-item {
    position: absolute;
    top: 25%;
    left: 25%;
    width: 50%;
	height: 50%;
    display: flex;
    align-items: center;
    flex-direction: column;
}

.cart-btns {
    width: 100%;
    display: flex;
    justify-content: center;
}

.grid-item {
    position: relative;
}

.cart-item > .grid-item {
    margin-top: 20px;
    padding: 10px;
    background-color: rgb(78, 42, 112);
    border:#000 solid 1px;
    width: 100%;
}

.cart-item > .grid-item > .book-title {

    min-height: 20px;
}

.popup-bcg {
	display: none;
	width: 100%;
	height: 100vh;
	position: fixed;
	top: 0;
	background-color: rgba(0,0,0,.9)
}

.popup-container {
    position: absolute;
    top: 25%;
    left: 25%;
    width: 50%;
	height: 50%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.popup-desc {
    width: 400px;
}

.delete {
    cursor: pointer;
    position: absolute;
    right: 15px;
    top: 10px;
    padding: 15px;
}

.total {
    margin-top: 15px;
    font-size: 22px;
}